### Callable

- lchmod(path: PathLike, mode: string | number, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:349

  Asynchronous lchmod(2) - Change permissions of a file. Does not dereference symbolic links.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### mode: string | number

    A file mode. If a string is passed, it is parsed as an octal integer.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(path: PathLike, mode: string | number): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:358

  Asynchronous lchmod(2) - Change permissions of a file. Does not dereference symbolic links.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### mode: string | number

    A file mode. If a string is passed, it is parsed as an octal integer.

  #### Returns Promise<void>

Generated using TypeDoc